Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4498)
@@ -1631,307 +1521,282 @@
 !--    time
        variable_name = 'time'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/ 'station  ',           &
-                                                        'ntime    '/),         &
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/ 'station  ', 'ntime    '/),                &
                                    output_type = 'real32' )
 !
 !--    station_name
        variable_name = 'station_name'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/ 'max_name_len',        &
-                                                        'station     ' /),     &
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/ 'max_name_len', 'station     ' /),         &
                                    output_type = 'char' )
 !
 !--    vrs (vertical reference system)
        variable_name = 'vrs'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/ 'station' /),          &
-                                   output_type = 'int8' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/ 'station' /), output_type = 'int8' )
 !
 !--    crs (coordinate reference system)
        variable_name = 'crs'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/ 'station' /),          &
-                                   output_type = 'int8' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/ 'station' /), output_type = 'int8' )
 !
 !--    z
        variable_name = 'z'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    station_h
        variable_name = 'station_h'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    x
        variable_name = 'x'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    y
        variable_name = 'y'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    E-UTM
        variable_name = 'E_UTM'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    N-UTM
        variable_name = 'N_UTM'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    latitude
        variable_name = 'lat'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
 !
 !--    longitude
        variable_name = 'lon'
-       return_value = dom_def_var( vmea(l)%nc_filename,                        &
-                                   variable_name = variable_name,              &
-                                   dimension_names = (/'station'/),            &
-                                   output_type = 'real32' )
-!
-!--    Set attributes for the coordinate variables. Note, not all coordinates
-!--    have the same number of attributes.
+       return_value = dom_def_var( vmea(l)%nc_filename, variable_name = variable_name,             &
+                                   dimension_names = (/'station'/), output_type = 'real32' )
+!
+!--    Set attributes for the coordinate variables. Note, not all coordinates have the same number
+!--    of attributes.
 !--    Units
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = char_unit,                                     &
                                    value = 'seconds since ' // origin_date_time )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'z',                        &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'z',                                            &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_h',                &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_h',                                    &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'x',                        &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'x',                                            &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'y',                        &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'y',                                            &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'E_UTM',                    &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'E_UTM',                                        &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'N_UTM',                    &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'N_UTM',                                        &
+                                   attribute_name = char_unit,                                     &
                                    value = 'm' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lat',                      &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lat',                                          &
+                                   attribute_name = char_unit,                                     &
                                    value = 'degrees_north' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lon',                      &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lon',                                          &
+                                   attribute_name = char_unit,                                     &
                                    value = 'degrees_east' )
 !
 !--    Long name
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_name',             &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_name',                                 &
+                                   attribute_name = char_long,                                     &
                                    value = 'station name')
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = char_long,                                     &
                                    value = 'time')
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'z',                        &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'z',                                            &
+                                   attribute_name = char_long,                                     &
                                    value = 'height above origin' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_h',                &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_h',                                    &
+                                   attribute_name = char_long,                                     &
                                    value = 'surface altitude' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'x',                        &
-                                   attribute_name = char_long,                 &
-                                   value = 'distance to origin in x-direction' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'y',                        &
-                                   attribute_name = char_long,                 &
-                                   value = 'distance to origin in y-direction' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'E_UTM',                    &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'x',                                            &
+                                   attribute_name = char_long,                                     &
+                                   value = 'distance to origin in x-direction')
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'y',                                            &
+                                   attribute_name = char_long,                                     &
+                                   value = 'distance to origin in y-direction')
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'E_UTM',                                        &
+                                   attribute_name = char_long,                                     &
                                    value = 'easting' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'N_UTM',                    &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'N_UTM',                                        &
+                                   attribute_name = char_long,                                     &
                                    value = 'northing' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lat',                      &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lat',                                          &
+                                   attribute_name = char_long,                                     &
                                    value = 'latitude' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lon',                      &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lon',                                          &
+                                   attribute_name = char_long,                                     &
                                    value = 'longitude' )
 !
 !--    Standard name
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_name',             &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_name',                                 &
+                                   attribute_name = char_standard,                                 &
                                    value = 'platform_name')
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = char_standard,                                 &
                                    value = 'time')
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'z',                        &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'z',                                            &
+                                   attribute_name = char_standard,                                 &
                                    value = 'height_above_mean_sea_level' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_h',                &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_h',                                    &
+                                   attribute_name = char_standard,                                 &
                                    value = 'surface_altitude' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'E_UTM',                    &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'E_UTM',                                        &
+                                   attribute_name = char_standard,                                 &
                                    value = 'projection_x_coordinate' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'N_UTM',                    &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'N_UTM',                                        &
+                                   attribute_name = char_standard,                                 &
                                    value = 'projection_y_coordinate' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lat',                      &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lat',                                          &
+                                   attribute_name = char_standard,                                 &
                                    value = 'latitude' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'lon',                      &
-                                   attribute_name = char_standard,             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'lon',                                          &
+                                   attribute_name = char_standard,                                 &
                                    value = 'longitude' )
 !
 !--    Axis
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = 'axis',                    &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = 'axis',                                        &
                                    value = 'T')
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'z',                        &
-                                   attribute_name = 'axis',                    &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'z',                                            &
+                                   attribute_name = 'axis',                                        &
                                    value = 'Z' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'x',                        &
-                                   attribute_name = 'axis',                    &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'x',                                            &
+                                   attribute_name = 'axis',                                        &
                                    value = 'X' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'y',                        &
-                                   attribute_name = 'axis',                    &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'y',                                            &
+                                   attribute_name = 'axis',                                        &
                                    value = 'Y' )
 !
 !--    Set further individual attributes for the coordinate variables.
 !--    For station name
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'station_name',             &
-                                   attribute_name = 'cf_role',                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'station_name',                                 &
+                                   attribute_name = 'cf_role',                                     &
                                    value = 'timeseries_id' )
 !
 !--    For time
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = 'calendar',                &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = 'calendar',                                    &
                                    value = 'proleptic_gregorian' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'time',                     &
-                                   attribute_name = 'bounds',                  &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'time',                                         &
+                                   attribute_name = 'bounds',                                      &
                                    value = 'time_bounds' )
 !
 !--    For vertical reference system
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'vrs',                      &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'vrs',                                          &
+                                   attribute_name = char_long,                                     &
                                    value = 'vertical reference system' )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'vrs',                      &
-                                   attribute_name = 'system_name',             &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'vrs',                                          &
+                                   attribute_name = 'system_name',                                 &
                                    value = 'DHHN2016' )
 !
 !--    For z
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'z',                        &
-                                   attribute_name = 'positive',                &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'z',                                            &
+                                   attribute_name = 'positive',                                    &
                                    value = 'up' )
 !
 !--    For coordinate reference system
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'epsg_code',               &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'epsg_code',                                   &
                                    value = coord_ref_sys%epsg_code )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'false_easting',           &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'false_easting',                               &
                                    value = coord_ref_sys%false_easting )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'false_northing',          &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'false_northing',                              &
                                    value = coord_ref_sys%false_northing )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'grid_mapping_name',       &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'grid_mapping_name',                           &
                                    value = coord_ref_sys%grid_mapping_name )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'inverse_flattening',      &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'inverse_flattening',                          &
                                    value = coord_ref_sys%inverse_flattening )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
                                    attribute_name = 'latitude_of_projection_origin',&
                                    value = coord_ref_sys%latitude_of_projection_origin )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = char_long,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = char_long,                                     &
                                    value = coord_ref_sys%long_name )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'longitude_of_central_meridian', &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'longitude_of_central_meridian',               &
                                    value = coord_ref_sys%longitude_of_central_meridian )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'longitude_of_prime_meridian', &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'longitude_of_prime_meridian',                 &
                                    value = coord_ref_sys%longitude_of_prime_meridian )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'scale_factor_at_central_meridian', &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'scale_factor_at_central_meridian',            &
                                    value = coord_ref_sys%scale_factor_at_central_meridian )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = 'semi_major_axis',         &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = 'semi_major_axis',                             &
                                    value = coord_ref_sys%semi_major_axis )
-       return_value = dom_def_att( vmea(l)%nc_filename,                        &
-                                   variable_name = 'crs',                      &
-                                   attribute_name = char_unit,                 &
+       return_value = dom_def_att( vmea(l)%nc_filename,                                            &
+                                   variable_name = 'crs',                                          &
+                                   attribute_name = char_unit,                                     &
                                    value = coord_ref_sys%units )
 !
-!--    In case of sampled soil quantities, define further dimensions and
-!--    coordinates.
+!--    In case of sampled soil quantities, define further dimensions and coordinates.
        IF ( vmea(l)%soil_sampling )  THEN
 !
